KWIN_CREATE_CHILD(3)

FUNCTION
kwin_create_child - Create a child pixel canvas.

SYNOPSIS
#include <karma_kwin.h>

KPixCanvas kwin_create_child

(KPixCanvas parent, int xoff, int yoff, int width, int height, flag absorb_events)

DESCRIPTION
This routine will create a pixel canvas, ready for drawing, within an existing pixel canvas. The new pixel canvas is a child of the parent pixel canvas. The child *does not* receive refresh events from the parent, it *does* receive position events from the parent, provided these events lie within the child's boundaries. For X-based graphics, a copy of the Graphics Context is made for the child. Note that the origin of a KPixCanvas is the upper-left corner.

parent
    The parent pixel canvas.

xoff
    The horizontal offset of the canvas origin (upper-left corner) relative to the parent pixel canvas.

yoff
    The vertical offset of the canvas origin (upper-left corner) relative to the parent pixel canvas.

width
    The width (vertical extent) of the canvas.

height
    The height (horizontal extent) of the canvas.

absorb_events
    If TRUE, any events passed from the parent canvas to the child canvas and consumed by the registered event functions for the child canvas are consumed from the parent canvas. If FALSE, the child canvas does not consume events from the parent. Note that the parent events are still *passed* to the child canvas.

RETURN VALUE
A pixel canvas on success, else NULL.

Multi-threading Level
Unsafe.

AUTHOR
Richard Gooch (rgooch@atnf.csiro.au)

AVAILABLITY
The Karma Distribution is available for anonymous ftp from: ftp://ftp.atnf.csiro.au/pub/software/karma/ ftp://wuarchive.wustl.edu/graphics/graphics/packages/karma/ ftp://ftp.pwr.wroc.pl/pub/karma/ The Karma Home Page is: http://www.atnf.csiro.au/karma/